## openfoam 4.0%2Bdfsg1

=== applications/utilities/postProcessing/graphics/PVReaders/PVFoamReader/PVFoamReader/CMakeLists.txt ===
# create a plugin that adds a reader to the ParaView GUI
# it is added in the file dialog when doing opens/saves.

# The qrc file is processed by Qt's resource compiler (rcc)
# the qrc file must have a resource prefix of "/ParaViewResources"
# and ParaView will read anything contained under that prefix
# the pqReader.xml file contains xml defining readers with their
# file extensions and descriptions.

CMAKE_MINIMUM_REQUIRED(VERSION 2.8)

FIND_PACKAGE(ParaView REQUIRED)
INCLUDE(${PARAVIEW_USE_FILE})

LINK_DIRECTORIES(
    $ENV{FOAM_LIBBIN}
    $ENV{FOAM_EXT_LIBBIN}
)

INCLUDE_DIRECTORIES(
    $ENV{WM_PROJECT_DIR}/src/OpenFOAM/lnInclude
    $ENV{WM_PROJECT_DIR}/src/OSspecific/$ENV{WM_OSTYPE}/lnInclude
    $ENV{WM_PROJECT_DIR}/src/finiteVolume/lnInclude
    ${PROJECT_SOURCE_DIR}/../vtkPVFoam
)

ADD_DEFINITIONS(
    -std=c++0x
    -DWM_$ENV{WM_PRECISION_OPTION}
    -DWM_LABEL_SIZE=$ENV{WM_LABEL_SIZE}
)

# Set output library destination to plugin directory
SET(
    LIBRARY_OUTPUT_PATH $ENV{PV_PLUGIN_PATH}
    CACHE INTERNAL
    "Single output directory for building all libraries."
)


#
# Defined combined plugin
#

# Extend the auto-generated panel
QT4_WRAP_CPP(MOC_SRCS pqPVFoamReaderPanel.h)

ADD_PARAVIEW_OBJECT_PANEL(IFACES IFACE_SRCS
  CLASS_NAME pqPVFoamReaderPanel
  XML_NAME  PVFoamReader  # name of SourceProxy in *SM.xml
  XML_GROUP sources
)

IF("${PARAVIEW_VERSION_MINOR}" EQUAL 0)
    ADD_PARAVIEW_PLUGIN(
        PVFoamReader_SM "1.0"
        SERVER_MANAGER_XML PVFoamReader_SM.xml
        SERVER_MANAGER_SOURCES vtkPVFoamReader.cxx
        GUI_INTERFACES ${IFACES}
        GUI_SOURCES pqPVFoamReaderPanel.cxx
            ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
        GUI_RESOURCE_FILES PVFoamReader.xml
    )
ELSE("${PARAVIEW_VERSION_MINOR}" EQUAL 0)
    ADD_PARAVIEW_PLUGIN(
        PVFoamReader_SM "1.0"
        SERVER_MANAGER_XML PVFoamReader_SM.xml
        SERVER_MANAGER_SOURCES vtkPVFoamReader.cxx
        GUI_INTERFACES ${IFACES}
        GUI_SOURCES pqPVFoamReaderPanel.cxx
            ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
    )
ENDIF("${PARAVIEW_VERSION_MINOR}" EQUAL 0)

TARGET_LINK_LIBRARIES(
    PVFoamReader_SM
    LINK_PUBLIC
    OpenFOAM
    finiteVolume
    vtkPVFoam
)

#-----------------------------------------------------------------------------

=== debian/changelog ===
openfoam (4.0+dfsg1-7~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Anton Gladky <gladk@debian.org>  Thu, 24 Nov 2016 20:31:13 +0100

openfoam (4.0+dfsg1-7) unstable; urgency=medium

  [ Graham Inggs ]
  * [9712cf6] Limit parallel build to 3 processes on Ubuntu amd64 and arm64.

 -- Anton Gladky <gladk@debian.org>  Fri, 18 Nov 2016 21:16:18 +0100

openfoam (4.0+dfsg1-6) unstable; urgency=medium

  * [72a8066] Disable dummyScotch package.
  * [6f4bc55] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Thu, 17 Nov 2016 23:30:41 +0100

openfoam (4.0+dfsg1-5) unstable; urgency=medium

  * [8f36ce7] Move all libs to usr/lib.

 -- Anton Gladky <gladk@debian.org>  Thu, 27 Oct 2016 21:02:24 +0200

openfoam (4.0+dfsg1-4) unstable; urgency=medium

  * [d50b576] Update description of the patch.
  * [e1c659e] Do not hardcode the arch-bits. (Closes: #840461)
  * [587dedc] Remove temporar debug-markers.
  * [c1444a8] Ignore quilt dir

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Oct 2016 00:08:39 +0200

openfoam (4.0+dfsg1-3) unstable; urgency=medium

  * [1ce76c1] Fix FTBFS due to case-sensitive folder name.
  * [3942004] Remove 64bit-specific flags.

 -- Anton Gladky <gladk@debian.org>  Mon, 10 Oct 2016 17:15:36 +0200

openfoam (4.0+dfsg1-2) unstable; urgency=medium

  * [df4b5ac] Use python3-dependency instead of python3-minimal
              to escape FTBFS.

 -- Anton Gladky <gladk@debian.org>  Thu, 06 Oct 2016 20:21:22 +0200

openfoam (4.0+dfsg1-1) unstable; urgency=low

   * Initial Release. (Closes: #514327)

 -- Anton Gladky <gladk@debian.org>  Thu, 29 Sep 2016 23:26:59 +0200

=== debian/control ===
Source: openfoam
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>
Section: science
Testsuite: autopkgtest
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper (>= 9),
               flex,
               gawk,
               libreadline6-dev,
               mpi-default-bin,
               mpi-default-dev,
               python3,
               libscotch-dev,
               libboost-system-dev,
               libcgal-dev,
               libptscotch-dev,
               zlib1g-dev
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/openfoam.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/openfoam.git
Homepage: http://openfoam.org

Package: openfoam
Architecture: any
Depends: libopenfoam (= ${binary:Version}),
         mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: openfoam-examples
Description: Set of programs for Computational Fluid Dynamics (CFD). Binaries
 OpenFOAM is the leading free, open source software for computational fluid
 dynamics (CFD), owned by the OpenFOAM Foundation and distributed exclusively
 under the General Public Licence (GPL).
 .
 Package contains binaries.

Package: libopenfoam
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Set of programs for Computational Fluid Dynamics (CFD). Libraries
 OpenFOAM is the leading free, open source software for computational fluid
 dynamics (CFD), owned by the OpenFOAM Foundation and distributed exclusively
 under the General Public Licence (GPL).
 .
 Package contains needed libraries.

Package: openfoam-examples
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Set of programs for Computational Fluid Dynamics (CFD). Examples
 OpenFOAM is the leading free, open source software for computational fluid
 dynamics (CFD), owned by the OpenFOAM Foundation and distributed exclusively
 under the General Public Licence (GPL).
 .
 Package contains examples and tutorials.

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/OpenFOAM/OpenFOAM-dev/tags .*/version-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## openfoam 4.0+dfsg1

=== applications/utilities/postProcessing/graphics/PV3Readers/PV3blockMeshReader/PV3blockMeshReader/CMakeLists.txt ===
# create a plugin that adds a reader to the ParaView GUI
# it is added in the file dialog when doing opens/saves.

# The qrc file is processed by Qt's resource compiler (rcc)
# the qrc file must have a resource prefix of "/ParaViewResources"
# and ParaView will read anything contained under that prefix
# the pqReader.xml file contains xml defining readers with their
# file extensions and descriptions.

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

FIND_PACKAGE(ParaView REQUIRED)
INCLUDE(${PARAVIEW_USE_FILE})

LINK_DIRECTORIES(
    $ENV{FOAM_LIBBIN}
    $ENV{FOAM_EXT_LIBBIN}
)

INCLUDE_DIRECTORIES(
    $ENV{WM_PROJECT_DIR}/src/OpenFOAM/lnInclude
    $ENV{WM_PROJECT_DIR}/src/OSspecific/$ENV{WM_OSTYPE}/lnInclude
    $ENV{WM_PROJECT_DIR}/src/meshing/blockMesh/lnInclude
    ${PROJECT_SOURCE_DIR}/../vtkPV3blockMesh
)

ADD_DEFINITIONS(
    -DWM_$ENV{WM_PRECISION_OPTION}
    -DWM_LABEL_SIZE=$ENV{WM_LABEL_SIZE}
)

# Set output library destination to plugin directory
SET(
    LIBRARY_OUTPUT_PATH $ENV{PV_PLUGIN_PATH}
    CACHE INTERNAL
    "Single output directory for building all libraries."
)

#
# Define combined plugin
#

# Extend the auto-generated panel
QT4_WRAP_CPP(MOC_SRCS pqPV3blockMeshReaderPanel.h)

ADD_PARAVIEW_OBJECT_PANEL(IFACES IFACE_SRCS
  CLASS_NAME pqPV3blockMeshReaderPanel
  XML_NAME  PV3blockMeshReader # name of SourceProxy in *SM.xml
  XML_GROUP sources
)

ADD_PARAVIEW_PLUGIN(
    PV3blockMeshReader_SM "1.0"
    SERVER_MANAGER_XML PV3blockMeshReader_SM.xml
    SERVER_MANAGER_SOURCES  vtkPV3blockMeshReader.cxx
    GUI_INTERFACES ${IFACES}
    GUI_SOURCES pqPV3blockMeshReaderPanel.cxx
        ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
    GUI_RESOURCE_FILES PV3blockMeshReader.xml
)


# #
# # Define the server-side portion of the reader plugin
# #
# ADD_PARAVIEW_PLUGIN(PV3blockMeshReader_SM "1.0"
#   SERVER_MANAGER_XML PV3blockMeshReader_SM.xml
#   SERVER_MANAGER_SOURCES vtkPV3blockMeshReader.cxx
# )
# #
# # Define the client-side portion of the reader plugin
# #
# ADD_PARAVIEW_PLUGIN(
#     PV3blockMeshReader "1.0"
#     GUI_RESOURCES PV3blockMeshReader.qrc
# )


# Build the client-side plugin

TARGET_LINK_LIBRARIES(
    PV3blockMeshReader_SM
    OpenFOAM
    blockMesh
    vtkPV3blockMesh
)
#-----------------------------------------------------------------------------

=== applications/utilities/postProcessing/graphics/PVReaders/PVblockMeshReader/PVblockMeshReader/CMakeLists.txt ===
# create a plugin that adds a reader to the ParaView GUI
# it is added in the file dialog when doing opens/saves.

# The qrc file is processed by Qt's resource compiler (rcc)
# the qrc file must have a resource prefix of "/ParaViewResources"
# and ParaView will read anything contained under that prefix
# the pqReader.xml file contains xml defining readers with their
# file extensions and descriptions.

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

FIND_PACKAGE(ParaView REQUIRED)
INCLUDE(${PARAVIEW_USE_FILE})

LINK_DIRECTORIES(
    $ENV{FOAM_LIBBIN}
    $ENV{FOAM_EXT_LIBBIN}
)

INCLUDE_DIRECTORIES(
    $ENV{WM_PROJECT_DIR}/src/OpenFOAM/lnInclude
    $ENV{WM_PROJECT_DIR}/src/OSspecific/$ENV{WM_OSTYPE}/lnInclude
    $ENV{WM_PROJECT_DIR}/src/meshing/blockMesh/lnInclude
    ${PROJECT_SOURCE_DIR}/../vtkPVblockMesh
)

ADD_DEFINITIONS(
    -std=c++0x
    -DWM_$ENV{WM_PRECISION_OPTION}
    -DWM_LABEL_SIZE=$ENV{WM_LABEL_SIZE}
)

# Set output library destination to plugin directory
SET(
    LIBRARY_OUTPUT_PATH $ENV{PV_PLUGIN_PATH}
    CACHE INTERNAL
    "Single output directory for building all libraries."
)

#
# Define combined plugin
#

# Extend the auto-generated panel
QT4_WRAP_CPP(MOC_SRCS pqPVblockMeshReaderPanel.h)

ADD_PARAVIEW_OBJECT_PANEL(IFACES IFACE_SRCS
  CLASS_NAME pqPVblockMeshReaderPanel
  XML_NAME  PVblockMeshReader # name of SourceProxy in *SM.xml
  XML_GROUP sources
)

IF("${PARAVIEW_VERSION_MINOR}" EQUAL 0)
        ADD_PARAVIEW_PLUGIN(
            PVblockMeshReader_SM "1.0"
        SERVER_MANAGER_XML PVblockMeshReader_SM.xml
        SERVER_MANAGER_SOURCES  vtkPVblockMeshReader.cxx
        GUI_INTERFACES ${IFACES}
        GUI_SOURCES pqPVblockMeshReaderPanel.cxx
            ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
        GUI_RESOURCE_FILES PVblockMeshReader.xml
    )
ELSE("${PARAVIEW_VERSION_MINOR}" EQUAL 0)
        ADD_PARAVIEW_PLUGIN(
            PVblockMeshReader_SM "1.0"
        SERVER_MANAGER_XML PVblockMeshReader_SM.xml
        SERVER_MANAGER_SOURCES  vtkPVblockMeshReader.cxx
        GUI_INTERFACES ${IFACES}
        GUI_SOURCES pqPVblockMeshReaderPanel.cxx
            ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
    )
ENDIF("${PARAVIEW_VERSION_MINOR}" EQUAL 0)

# Build the client-side plugin

TARGET_LINK_LIBRARIES(
    PVblockMeshReader_SM
    LINK_PUBLIC
    OpenFOAM
    blockMesh
    vtkPVblockMesh
)

#-----------------------------------------------------------------------------

=== debian/changelog ===
openfoam (4.0+dfsg1-3ubuntu1) yakkety; urgency=medium

  * Limit parallel build to two processes to avoid FTBFS on buildds.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 12 Oct 2016 09:39:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: openfoam
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Anton Gladky <gladk@debian.org>
 Section: science
-Testsuite: autopkgtest
 Priority: optional
 Build-Depends: bison,
                cmake,

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --max-parallel=2

export FOAM_INST_DIR=/usr
export FOAM_APP=$(CURDIR)/applications
export FOAM_SOLVERS=$(CURDIR)/applications/solvers
export FOAM_APPBIN=$(CURDIR)/platforms/linux64Gcc51/bin
export FOAM_EXT_LIBBIN=$(CURDIR)/platforms/linux64Gcc51/lib
export FOAM_JOB_DIR=$(CURDIR)/jobControl
export FOAM_LIBBIN=$(CURDIR)/platforms/linux64Gcc51/lib
export FOAM_MPI=openmpi-system
export FOAM_RUN=$(CURDIR)/run
export FOAM_SITE_APPBIN=$(CURDIR)/platforms/linux64Gcc51/bin
export FOAM_SITE_LIBBIN=$(CURDIR)/platforms/linux64Gcc51/lib
export FOAM_SRC=$(CURDIR)/src
export FOAM_ETC=$(CURDIR)/etc
export FOAM_USER_APPBIN=$(CURDIR)/platforms/linux64Gcc51/bin
export FOAM_USER_LIBBIN=$(CURDIR)/platforms/linux64Gcc51/lib
export MANPATH=$(CURDIR)/platforms/linux64Gcc/openmpi-1.6.5/share/man
export MPI_ARCH_PATH=/usr/include/openmpi
export MPI_BUFFER_SIZE=20000000
export WM_ARCH=linux64
export WM_ARCH_OPTION=64
export WM_LABEL_SIZE=32
export WM_LABEL_OPTION=Int32
export WM_CC=gcc
export WM_CFLAGS=-m64 -fPIC -I/usr/include/openmpi
export WM_COMPILER=Gcc
export WM_COMPILER_LIB_ARCH=64
export WM_COMPILE_OPTION=Opt
export WM_CXX=g++
export WM_CXXFLAGS=-fPIC -I/usr/include/openmpi
export WM_DIR=$(CURDIR)/wmake
export WM_LDFLAGS=-I/usr/include/openmpi
export WM_LINK_LANGUAGE=c++
export WM_OSTYPE=POSIX
export WM_OPTIONS=linux64Gcc51
export WM_PRECISION_OPTION=DP
export WM_PROJECT=OpenFOAM
export WM_PROJECT_DIR=$(CURDIR)
export WM_PROJECT_INST_DIR=$(CURDIR)/debian/tmp/usr
export WM_PROJECT_USER_DIR=$(CURDIR)/debian/tmp
export WM_PROJECT_VERSION=4.0
export gperftools_install=$(CURDIR)/platforms/linux64Gcc
export WM_MPLIB=SYSTEMOPENMPI
unexport FOAMY_HEX_MESH

NUMJOBS=2

export WM_NCOMPPROCS=$(NUMJOBS)

export LD_LIBRARY_PATH:=$(CURDIR)/platforms/linux64Gcc51/lib/openmpi-system:/usr/lib/openmpi/lib:$(CURDIR)/platforms/linux64Gcc51/lib:$(CURDIR)/site/3.0.x/platforms/linux64Gcc51/lib:$(CURDIR)/platforms/linux64Gcc51/lib:$(CURDIR)/platforms/linux64Gcc51/lib/dummy:$(CURDIR)/src/:$(LD_LIBRARY_PATH);

override_dh_auto_build:
	cd $(CURDIR)/debian/manpage ; python3 gen_man.py
	PATH=$(PATH):$(CURDIR)/wmake/:$(CURDIR)/etc ./Allwmake -j$(NUMJOBS)

## openfoam 4.1%2Bdfsg1

=== applications/utilities/postProcessing/graphics/PV3Readers/PV3FoamReader/PV3FoamReader/CMakeLists.txt ===
# create a plugin that adds a reader to the ParaView GUI
# it is added in the file dialog when doing opens/saves.

# The qrc file is processed by Qt's resource compiler (rcc)
# the qrc file must have a resource prefix of "/ParaViewResources"
# and ParaView will read anything contained under that prefix
# the pqReader.xml file contains xml defining readers with their
# file extensions and descriptions.

CMAKE_MINIMUM_REQUIRED(VERSION 2.6)

FIND_PACKAGE(ParaView REQUIRED)
INCLUDE(${PARAVIEW_USE_FILE})

LINK_DIRECTORIES(
    $ENV{FOAM_LIBBIN}
    $ENV{FOAM_EXT_LIBBIN}
)

INCLUDE_DIRECTORIES(
    $ENV{WM_PROJECT_DIR}/src/OpenFOAM/lnInclude
    $ENV{WM_PROJECT_DIR}/src/OSspecific/$ENV{WM_OSTYPE}/lnInclude
    $ENV{WM_PROJECT_DIR}/src/finiteVolume/lnInclude
    ${PROJECT_SOURCE_DIR}/../vtkPV3Foam
)

ADD_DEFINITIONS(
    -DWM_$ENV{WM_PRECISION_OPTION}
    -DWM_LABEL_SIZE=$ENV{WM_LABEL_SIZE}
)

# Set output library destination to plugin directory
SET(
    LIBRARY_OUTPUT_PATH $ENV{PV_PLUGIN_PATH}
    CACHE INTERNAL
    "Single output directory for building all libraries."
)


#
# Defined combined plugin
#

# Extend the auto-generated panel
QT4_WRAP_CPP(MOC_SRCS pqPV3FoamReaderPanel.h)

ADD_PARAVIEW_OBJECT_PANEL(IFACES IFACE_SRCS
  CLASS_NAME pqPV3FoamReaderPanel
  XML_NAME  PV3FoamReader  # name of SourceProxy in *SM.xml
  XML_GROUP sources
)

ADD_PARAVIEW_PLUGIN(
    PV3FoamReader_SM "1.0"
    SERVER_MANAGER_XML PV3FoamReader_SM.xml
    SERVER_MANAGER_SOURCES vtkPV3FoamReader.cxx
    GUI_INTERFACES ${IFACES}
    GUI_SOURCES pqPV3FoamReaderPanel.cxx
        ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
    GUI_RESOURCE_FILES PV3FoamReader.xml
)

# #
# # Define the server-side portion of the reader plugin
# #
# ADD_PARAVIEW_PLUGIN(
#     PV3FoamReader_SM "1.0"
#     SERVER_MANAGER_XML PV3FoamReader_SM.xml
#     SERVER_MANAGER_SOURCES vtkPV3FoamReader.cxx
# )
# #
# # Define the client-side portion of the reader plugin
# #
# ADD_PARAVIEW_PLUGIN(
#     PV3FoamReader "1.0"
#     GUI_RESOURCES PV3FoamReader.qrc
# )
#

TARGET_LINK_LIBRARIES(
    PV3FoamReader_SM
    OpenFOAM
    finiteVolume
    vtkPV3Foam
)
#-----------------------------------------------------------------------------

=== applications/utilities/postProcessing/graphics/PVReaders/PVFoamReader/PVFoamReader/CMakeLists.txt ===
--- 
+++ 
@@ -51,26 +51,29 @@
   XML_GROUP sources
 )
 
-IF("${PARAVIEW_VERSION_MINOR}" EQUAL 0)
+IF("${PARAVIEW_VERSION_MAJOR}.${PARAVIEW_VERSION_MINOR}" EQUAL 4.0)
+
+    # Special build options, specifically for ParaView 4.0.*
+    # Because as of 4.1.0, GUI_RESOURCE_FILES is no longer used.
     ADD_PARAVIEW_PLUGIN(
         PVFoamReader_SM "1.0"
         SERVER_MANAGER_XML PVFoamReader_SM.xml
         SERVER_MANAGER_SOURCES vtkPVFoamReader.cxx
         GUI_INTERFACES ${IFACES}
         GUI_SOURCES pqPVFoamReaderPanel.cxx
-            ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
+        ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
         GUI_RESOURCE_FILES PVFoamReader.xml
     )
-ELSE("${PARAVIEW_VERSION_MINOR}" EQUAL 0)
+ELSE("${PARAVIEW_VERSION_MAJOR}.${PARAVIEW_VERSION_MINOR}" EQUAL 4.0)
     ADD_PARAVIEW_PLUGIN(
         PVFoamReader_SM "1.0"
         SERVER_MANAGER_XML PVFoamReader_SM.xml
         SERVER_MANAGER_SOURCES vtkPVFoamReader.cxx
         GUI_INTERFACES ${IFACES}
         GUI_SOURCES pqPVFoamReaderPanel.cxx
-            ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
+        ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
     )
-ENDIF("${PARAVIEW_VERSION_MINOR}" EQUAL 0)
+ENDIF("${PARAVIEW_VERSION_MAJOR}.${PARAVIEW_VERSION_MINOR}" EQUAL 4.0)
 
 TARGET_LINK_LIBRARIES(
     PVFoamReader_SM

=== debian/changelog ===
openfoam (4.1+dfsg1-1) unstable; urgency=medium

  * [78956c8] Update d/watch.
  * [8dde2aa] New upstream version 4.1+dfsg1
  * [736abf7] Refresh patches.

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Dec 2016 17:58:03 +0100

openfoam (4.0+dfsg1-8) unstable; urgency=medium

  * [0b0edcf] Add libfl-dev to BD. (Closes: #846445)

 -- Anton Gladky <gladk@debian.org>  Sat, 10 Dec 2016 19:53:51 +0100

## openfoam 4.1+dfsg1

=== wmake/src/Makefile ===
#------------------------------------------------------------------------------
# =========                 |
# \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
#  \\    /   O peration     |
#   \\  /    A nd           | Copyright (C) 2011-2016 OpenFOAM Foundation
#    \\/     M anipulation  |
#------------------------------------------------------------------------------
# License
#     This file is part of OpenFOAM.
#
#     OpenFOAM is free software: you can redistribute it and/or modify it
#     under the terms of the GNU General Public License as published by
#     the Free Software Foundation, either version 3 of the License, or
#     (at your option) any later version.
#
#     OpenFOAM is distributed in the hope that it will be useful, but WITHOUT
#     ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#     FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
#     for more details.
#
#     You should have received a copy of the GNU General Public License
#     along with OpenFOAM.  If not, see <http://www.gnu.org/licenses/>.
#
# File
#     Makefile
#
# Description
#     Makefile used to compile wmake utilities.
#
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
# The Makefile use a POSIX shell
#------------------------------------------------------------------------------

SHELL      = /bin/sh

#------------------------------------------------------------------------------
# Unset suffices list (suffix rules are not used)
#------------------------------------------------------------------------------

.SUFFIXES:


#------------------------------------------------------------------------------
# Set compilation and dependency building rules
#------------------------------------------------------------------------------

# Locally set optimized compilation
WM_COMPILE_OPTION = Opt

GENERAL_RULES   = $(WM_DIR)/rules/General
include $(GENERAL_RULES)/general


#------------------------------------------------------------------------------
# Targets
#------------------------------------------------------------------------------

all:  $(WMAKE_BIN)/dirToString $(WMAKE_BIN)/wmkdep

clean:
	rm -f $(WMAKE_BIN)/* 2>/dev/null


$(WMAKE_BIN)/dirToString: dirToString.c
	@mkdir -p $(WMAKE_BIN)
	$(cc) $(cFLAGS) dirToString.c -o $(WMAKE_BIN)/dirToString


$(WMAKE_BIN)/wmkdep: wmkdep.l
	@mkdir -p $(WMAKE_BIN)
	flex wmkdep.l
	$(cc) $(cFLAGS) lex.yy.c -o $(WMAKE_BIN)/wmkdep
	@rm -f lex.yy.c 2>/dev/null


#------------------------------------------------------------------------------

=== applications/utilities/postProcessing/graphics/PVReaders/PVblockMeshReader/PVblockMeshReader/CMakeLists.txt ===
--- 
+++ 
@@ -50,26 +50,29 @@
   XML_GROUP sources
 )
 
-IF("${PARAVIEW_VERSION_MINOR}" EQUAL 0)
-        ADD_PARAVIEW_PLUGIN(
-            PVblockMeshReader_SM "1.0"
+IF("${PARAVIEW_VERSION_MAJOR}.${PARAVIEW_VERSION_MINOR}" EQUAL 4.0)
+
+    # Special build options, specifically for ParaView 4.0.*
+    # Because as of 4.1.0, GUI_RESOURCE_FILES is no longer used.
+    ADD_PARAVIEW_PLUGIN(
+        PVblockMeshReader_SM "1.0"
         SERVER_MANAGER_XML PVblockMeshReader_SM.xml
         SERVER_MANAGER_SOURCES  vtkPVblockMeshReader.cxx
         GUI_INTERFACES ${IFACES}
         GUI_SOURCES pqPVblockMeshReaderPanel.cxx
-            ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
+        ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
         GUI_RESOURCE_FILES PVblockMeshReader.xml
     )
-ELSE("${PARAVIEW_VERSION_MINOR}" EQUAL 0)
-        ADD_PARAVIEW_PLUGIN(
-            PVblockMeshReader_SM "1.0"
+ELSE("${PARAVIEW_VERSION_MAJOR}.${PARAVIEW_VERSION_MINOR}" EQUAL 4.0)
+    ADD_PARAVIEW_PLUGIN(
+        PVblockMeshReader_SM "1.0"
         SERVER_MANAGER_XML PVblockMeshReader_SM.xml
         SERVER_MANAGER_SOURCES  vtkPVblockMeshReader.cxx
         GUI_INTERFACES ${IFACES}
         GUI_SOURCES pqPVblockMeshReaderPanel.cxx
-            ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
+        ${MOC_SRCS} ${UI_SRCS} ${IFACE_SRCS}
     )
-ENDIF("${PARAVIEW_VERSION_MINOR}" EQUAL 0)
+ENDIF("${PARAVIEW_VERSION_MAJOR}.${PARAVIEW_VERSION_MINOR}" EQUAL 4.0)
 
 # Build the client-side plugin

=== debian/changelog ===
openfoam (4.1+dfsg1-2) unstable; urgency=medium

  [ Anton Gladky ]
  * [1a60574] Set compat-level 11
  * [58250b6] Remove deprecated testsuite-field in d/control
  * [08b7edf] Update VCS-field. Set Standards-Version: 4.1.3
  * [31f8129] Remove myself from uploaders

  [ James Cowgill ]
  * [cf893c5] Remote IRIX specific MIPS includes. (Closes: #855373)

  [ Steve Langasek ]
  * [30b7ca8] Add ppc64el to the limited-parallel-build-archs. (Closes: #895390)

 -- Anton Gladky <gladk@debian.org>  Thu, 12 Apr 2018 21:04:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,10 @@
 Source: openfoam
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Anton Gladky <gladk@debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Section: science
 Priority: optional
 Build-Depends: bison,
                cmake,
-               debhelper (>= 9),
+               debhelper (>= 11),
                flex,
                gawk,
                libreadline6-dev,
@@ -15,12 +13,13 @@
                python3,
                libscotch-dev,
                libboost-system-dev,
+               libfl-dev,
                libcgal-dev,
                libptscotch-dev,
                zlib1g-dev
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/openfoam.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/openfoam.git
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/science-team/openfoam
+Vcs-Git: https://salsa.debian.org/science-team/openfoam.git
 Homepage: http://openfoam.org
 
 Package: openfoam

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
+
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
+VENDOR := $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)
+
 %:
-	dh $@ --max-parallel=2
+	dh $@
 
 export FOAM_INST_DIR=/usr
 export FOAM_APP=$(CURDIR)/applications
@@ -21,7 +25,7 @@
 export MPI_ARCH_PATH=/usr/include/openmpi
 export MPI_BUFFER_SIZE=20000000
 export WM_ARCH=linux64
-export WM_ARCH_OPTION=64
+export WM_ARCH_OPTION=$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
 export WM_LABEL_SIZE=32
 export WM_LABEL_OPTION=Int32
 export WM_CC=gcc
@@ -46,7 +50,16 @@
 export WM_MPLIB=SYSTEMOPENMPI
 unexport FOAMY_HEX_MESH
 
-NUMJOBS=2
+NUMJOBS := 1
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+    NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+endif
+# Limit parallel build to 3 processes on Ubuntu amd64, arm64 and ppc64el
+ifeq ($(VENDOR),Ubuntu)
+ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 ppc64el))
+    NUMJOBS := $(shell if test $(NUMJOBS) -gt 3; then echo 3 ; else echo $(NUMJOBS); fi)
+endif
+endif
 
 export WM_NCOMPPROCS=$(NUMJOBS)

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/OpenFOAM/OpenFOAM-4.x/tags .*/version-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## openfoam 4.1+dfsg2

=== debian/changelog ===
openfoam (4.1+dfsg2-1ubuntu1) disco; urgency=medium

  * Limit builds to two parallel processes on every architecture.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 26 Jan 2019 20:50:58 +0100

openfoam (4.1+dfsg2-1) unstable; urgency=medium

  * [933b43f] Don't clean .orig files
  * [b3c5364] Update d/copyright for repacking
  * [aa1ad83] New upstream version 4.1+dfsg2
  * [ee594d0] Remove false positive lintian override hardening-no-relro
  * [0b224d1] Add myself to Uploaders

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 06 Jan 2019 21:19:17 -0600

openfoam (4.1+dfsg1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.28,
    thanks to Juhani Numminen. (Closes: #915344)

 -- Adrian Bunk <bunk@debian.org>  Mon, 31 Dec 2018 10:22:02 +0200

openfoam (4.1+dfsg1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -g1 on mips/mipsel to workaround address space
    limitations.

 -- Adrian Bunk <bunk@debian.org>  Sun, 12 Aug 2018 13:41:17 +0300

openfoam (4.1+dfsg1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with gcc 8,
    thanks to Juhani Numminen. (Closes: #897826)

 -- Adrian Bunk <bunk@debian.org>  Fri, 03 Aug 2018 23:38:10 +0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: openfoam
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Kurt Kremitzki <kurt@kwk.systems>
 Section: science
 Priority: optional
 Build-Depends: bison,

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,11 @@
 
 DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 VENDOR := $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)
+
+# less debug info to avoid running out of address space during build
+ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
+    export DEB_CXXFLAGS_MAINT_APPEND = -g1
+endif
 
 %:
 	dh $@
@@ -54,17 +59,19 @@
 ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
     NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
 endif
-# Limit parallel build to 3 processes on Ubuntu amd64, arm64 and ppc64el
+# Limit parallel build to 2 processes on Ubuntu
 ifeq ($(VENDOR),Ubuntu)
-ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 ppc64el))
-    NUMJOBS := $(shell if test $(NUMJOBS) -gt 3; then echo 3 ; else echo $(NUMJOBS); fi)
-endif
+    NUMJOBS := $(shell if test $(NUMJOBS) -gt 2; then echo 2 ; else echo $(NUMJOBS); fi)
 endif
 
 export WM_NCOMPPROCS=$(NUMJOBS)
 
 export LD_LIBRARY_PATH:=$(CURDIR)/platforms/linux64Gcc51/lib/openmpi-system:/usr/lib/openmpi/lib:$(CURDIR)/platforms/linux64Gcc51/lib:$(CURDIR)/site/3.0.x/platforms/linux64Gcc51/lib:$(CURDIR)/platforms/linux64Gcc51/lib:$(CURDIR)/platforms/linux64Gcc51/lib/dummy:$(CURDIR)/src/:$(LD_LIBRARY_PATH);
 
+override_dh_clean:
+	# OpenFOAM uses .orig as a control file extension
+	dh_clean -X "*.orig"
+
 override_dh_auto_build:
 	cd $(CURDIR)/debian/manpage ; python3 gen_man.py
 	PATH=$(PATH):$(CURDIR)/wmake/:$(CURDIR)/etc ./Allwmake -j$(NUMJOBS)

## openfoam 1812+dfsg1

=== wmake/src/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-#------------------------------------------------------------------------------
+#----------------------------*- makefile-gmake -*------------------------------
 # =========                 |
 # \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
 #  \\    /   O peration     |
@@ -57,22 +57,36 @@
 # Targets
 #------------------------------------------------------------------------------
 
-all:  $(WMAKE_BIN)/dirToString $(WMAKE_BIN)/wmkdep
+.PHONY: all clean
+
+all:  $(WMAKE_BIN)/dirToString $(WMAKE_BIN)/wmkdep $(WMAKE_BIN)/wmkdepend
+	@echo built wmake-bin for $(WM_ARCH)$(WM_COMPILER)
 
 clean:
-	rm -f $(WMAKE_BIN)/* 2>/dev/null
-
+	@echo clean wmake-bin for $(WM_ARCH)$(WM_COMPILER)
+	@rm -rf $(WMAKE_BIN) 2>/dev/null
+	@rmdir $(shell dirname $(WMAKE_BIN)) 2>/dev/null || true
 
 $(WMAKE_BIN)/dirToString: dirToString.c
 	@mkdir -p $(WMAKE_BIN)
-	$(cc) $(cFLAGS) dirToString.c -o $(WMAKE_BIN)/dirToString
-
+	$(call QUIET_MESSAGE,compile,$(<F))
+	$E $(cc) $(cFLAGS) $(<F) -o $@
 
 $(WMAKE_BIN)/wmkdep: wmkdep.l
 	@mkdir -p $(WMAKE_BIN)
-	flex wmkdep.l
-	$(cc) $(cFLAGS) lex.yy.c -o $(WMAKE_BIN)/wmkdep
-	@rm -f lex.yy.c 2>/dev/null
+	$(call QUIET_MESSAGE,flex,$(<F))
+	$E flex -o $@.c $(<F) && $(cc) $(cFLAGS) $@.c -o $@
+	@rm -f $@.c 2>/dev/null
 
+$(WMAKE_BIN)/wmkdepend: wmkdepend.cpp
+	@mkdir -p $(WMAKE_BIN)
+	$(call QUIET_MESSAGE,wmkdepend,$(<F))
+	$E $(CC) $(c++FLAGS) $(c++LESSWARN) $(<F) -o $@
+
+# $(WMAKE_BIN)/wmkdepend: wmkdepend.rl
+# 	@mkdir -p $(WMAKE_BIN)
+# 	$(call QUIET_MESSAGE,ragel,$(<F))
+# 	$E ragel -G2 -o $@.cpp $(<F) && $(CC) $(c++FLAGS) $(c++LESSWARN) $@.cpp -o $@
+# 	@rm -f $@.cpp 2>/dev/null
 
 #------------------------------------------------------------------------------

=== applications/utilities/postProcessing/graphics/PVReaders/PVblockMeshReader/CMakeLists.txt ===
#-----------------------------------------------------------------------------

cmake_minimum_required(VERSION 2.8)
cmake_policy(SET CMP0002 NEW)   # Policy CMP0002 required for for cmake >= 3

# Fail if not building out-of-source
if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_CURRENT_BINARY_DIR)
    message(FATAL_ERROR
        "In-source builds disallowed. Use a separate build directory")
endif()

#-----------------------------------------------------------------------------
# Simple discovery and sanity checks

find_package(ParaView REQUIRED)
include(${PARAVIEW_USE_FILE})

#-----------------------------------------------------------------------------

include(CMakeLists-OpenFOAM.txt)
include(CMakeLists-Project.txt)

#-----------------------------------------------------------------------------

=== debian/changelog ===
openfoam (1812+dfsg1-2) unstable; urgency=medium

  * [f2ea0ce] Fix autopkgtests (Closes: #919711)
  * [f83685c] Implement upstream feedback on packaging

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 27 Jan 2019 01:49:48 -0600

openfoam (1812+dfsg1-1) unstable; urgency=medium

  * Upload to unstable

 -- Kurt Kremitzki <kurt@kwk.systems>  Wed, 16 Jan 2019 18:52:07 -0600

openfoam (1812+dfsg1-1~exp1) experimental; urgency=medium

  * [b9e8471] New upstream version 1812+dfsg1 (Closes: #882878)
  * [8f56fdd] Refresh & prune patches
  * [67e13c1] Add hardening and update version in rules
  * [6574bea] Update d/copyright

 -- Kurt Kremitzki <kurt@kwk.systems>  Sun, 06 Jan 2019 22:09:12 -0600

=== debian/control ===
Source: openfoam
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Kurt Kremitzki <kurt@kwk.systems>
Section: science
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper (>= 11),
               flex,
               gawk,
               libreadline-dev,
               mpi-default-bin,
               mpi-default-dev,
               libscotch-dev,
               libboost-system-dev,
               libfl-dev,
               libcgal-dev,
               libptscotch-dev,
               zlib1g-dev
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/science-team/openfoam
Vcs-Git: https://salsa.debian.org/science-team/openfoam.git
Homepage: http://openfoam.org

Package: openfoam
Architecture: any
Depends: libopenfoam (= ${binary:Version}),
         mpi-default-bin,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: openfoam-examples
Description: Open source toolbox for Computational Fluid Dynamics (CFD) - binaries
 OpenFOAM is the free, open source CFD software released and developed
 primarily by OpenCFD Ltd since 2004. It has a large user base across most
 areas of engineering and science, from both commercial and academic
 organisations. OpenFOAM has an extensive range of features to solve anything
 from complex fluid flows involving chemical reactions, turbulence and heat
 transfer, to acoustics, solid mechanics and electromagnetics.
 .
 Package contains binaries.

Package: libopenfoam
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open source toolbox for Computational Fluid Dynamics (CFD) - libraries
 OpenFOAM is the free, open source CFD software released and developed
 primarily by OpenCFD Ltd since 2004. It has a large user base across most
 areas of engineering and science, from both commercial and academic
 organisations. OpenFOAM has an extensive range of features to solve anything
 from complex fluid flows involving chemical reactions, turbulence and heat
 transfer, to acoustics, solid mechanics and electromagnetics.
 .
 Package contains needed libraries.

Package: openfoam-examples
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Open source toolbox for Computational Fluid Dynamics (CFD) - examples
 OpenFOAM is the free, open source CFD software released and developed
 primarily by OpenCFD Ltd since 2004. It has a large user base across most
 areas of engineering and science, from both commercial and academic
 organisations. OpenFOAM has an extensive range of features to solve anything
 from complex fluid flows involving chemical reactions, turbulence and heat
 transfer, to acoustics, solid mechanics and electromagnetics.
 .
 Package contains examples and tutorials.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
VENDOR := $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# less debug info to avoid running out of address space during build
ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
    export DEB_CXXFLAGS_MAINT_APPEND = -g1
endif

%:
	dh $@

export FOAM_APP=$(CURDIR)/applications
export FOAM_SOLVERS=$(CURDIR)/applications/solvers
export FOAM_APPBIN=$(CURDIR)/platforms/linux64Gcc51/bin
export FOAM_EXT_LIBBIN=$(CURDIR)/platforms/linux64Gcc51/lib
export FOAM_LIBBIN=$(CURDIR)/platforms/linux64Gcc51/lib
export FOAM_MPI=openmpi-system
export FOAM_RUN=$(CURDIR)/run
export FOAM_SRC=$(CURDIR)/src
export FOAM_ETC=$(CURDIR)/etc
export FOAM_USER_APPBIN=$(CURDIR)/platforms/linux64Gcc51/bin
export FOAM_USER_LIBBIN=$(CURDIR)/platforms/linux64Gcc51/lib
export MANPATH=$(CURDIR)/platforms/linux64Gcc/openmpi-3.1.3/share/man
export MPI_ARCH_PATH=/usr/include/openmpi
export WM_ARCH=linux64
export WM_ARCH_OPTION=$(shell dpkg-architecture -qDEB_HOST_ARCH_BITS)
export WM_LABEL_SIZE=32
export WM_LABEL_OPTION=Int32
export WM_CC=gcc
export WM_CFLAGS=-fPIC -I/usr/include/openmpi ${CFLAGS}
export WM_COMPILER=Gcc
export WM_COMPILER_LIB_ARCH=64
export WM_COMPILE_OPTION=Opt
export WM_CXX=g++
export WM_CXXFLAGS=-fPIC -I/usr/include/openmpi ${CXXFLAGS}
export WM_DIR=$(CURDIR)/wmake
export WM_LDFLAGS=-I/usr/include/openmpi ${LDFLAGS}
export WM_OSTYPE=POSIX
export WM_OPTIONS=linux64Gcc51
export WM_PRECISION_OPTION=DP
export WM_PROJECT=OpenFOAM
export WM_PROJECT_DIR=$(CURDIR)
export WM_PROJECT_USER_DIR=$(CURDIR)/debian/tmp
export WM_PROJECT_VERSION=1812
export gperftools_install=$(CURDIR)/platforms/linux64Gcc
export WM_MPLIB=SYSTEMOPENMPI
unexport FOAMY_HEX_MESH

NUMJOBS := 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
# Limit parallel build to 3 processes on Ubuntu amd64, arm64 and ppc64el
ifeq ($(VENDOR),Ubuntu)
ifneq (,$(filter $(DEB_HOST_ARCH),amd64 arm64 ppc64el))
    NUMJOBS := $(shell if test $(NUMJOBS) -gt 3; then echo 3 ; else echo $(NUMJOBS); fi)
endif
endif

export WM_NCOMPPROCS=$(NUMJOBS)

export LD_LIBRARY_PATH:=$(CURDIR)/platforms/linux64Gcc51/lib/openmpi-system:/usr/lib/openmpi/lib:$(CURDIR)/platforms/linux64Gcc51/lib:$(CURDIR)/site/3.0.x/platforms/linux64Gcc51/lib:$(CURDIR)/platforms/linux64Gcc51/lib:$(CURDIR)/platforms/linux64Gcc51/lib/dummy:$(CURDIR)/src/:$(LD_LIBRARY_PATH);

override_dh_clean:
	# OpenFOAM uses .orig as a control file extension
	dh_clean -X "*.orig"

override_dh_auto_build:
	PATH=$(PATH):$(CURDIR)/wmake/:$(CURDIR)/etc ./Allwmake -j$(NUMJOBS)
	if [ -x bin/tools/foamCreateManpage ]; then \
	    bin/tools/foamCreateManpage -gzip -version "1812" || \
		echo "ignore problems generating manpages"; \
	fi

override_dh_missing-arch:
	dh_missing --list-missing

## openfoam 1906+dfsg1

=== wmake/src/Makefile ===
--- 
+++ 
@@ -2,8 +2,10 @@
 # =========                 |
 # \\      /  F ield         | OpenFOAM: The Open Source CFD Toolbox
 #  \\    /   O peration     |
-#   \\  /    A nd           | Copyright (C) 2011-2016 OpenFOAM Foundation
+#   \\  /    A nd           | Copyright (C) 2004-2011, 2017-2019 OpenCFD Ltd.
 #    \\/     M anipulation  |
+#------------------------------------------------------------------------------
+#                           | Copyright (C) 2011-2016 OpenFOAM Foundation
 #------------------------------------------------------------------------------
 # License
 #     This file is part of OpenFOAM.
@@ -30,13 +32,13 @@
 #------------------------------------------------------------------------------
 
 #------------------------------------------------------------------------------
-# The Makefile use a POSIX shell
+# Use POSIX shell
 #------------------------------------------------------------------------------
 
-SHELL      = /bin/sh
+SHELL   = /bin/sh
 
 #------------------------------------------------------------------------------
-# Unset suffices list (suffix rules are not used)
+# No default suffix rules used
 #------------------------------------------------------------------------------
 
 .SUFFIXES:
@@ -52,38 +54,42 @@
 GENERAL_RULES   = $(WM_DIR)/rules/General
 include $(GENERAL_RULES)/general
 
+archHost    := $(WM_ARCH)$(WM_COMPILER)
+archTarget  := $(shell basename $(WMAKE_BIN))
+
 
 #------------------------------------------------------------------------------
 # Targets
 #------------------------------------------------------------------------------
 
-.PHONY: all clean
+.PHONY: all clean message
 
-all:  $(WMAKE_BIN)/dirToString $(WMAKE_BIN)/wmkdep $(WMAKE_BIN)/wmkdepend
-	@echo built wmake-bin for $(WM_ARCH)$(WM_COMPILER)
+all: $(WMAKE_BIN)/wmkdepend$(EXT_EXE) message
+
+message:
+ifneq ($(archHost),$(archTarget))
+	@echo "built wmake-bin ($(archTarget)) for $(archHost) host"
+else
+	@echo "built wmake-bin ($(archTarget))"
+endif
 
 clean:
-	@echo clean wmake-bin for $(WM_ARCH)$(WM_COMPILER)
+	@echo "clean wmake-bin ($(archTarget))"
 	@rm -rf $(WMAKE_BIN) 2>/dev/null
 	@rmdir $(shell dirname $(WMAKE_BIN)) 2>/dev/null || true
 
-$(WMAKE_BIN)/dirToString: dirToString.c
-	@mkdir -p $(WMAKE_BIN)
-	$(call QUIET_MESSAGE,compile,$(<F))
-	$E $(cc) $(cFLAGS) $(<F) -o $@
-
-$(WMAKE_BIN)/wmkdep: wmkdep.l
+$(WMAKE_BIN)/wmkdep$(EXT_EXE): wmkdep.l
 	@mkdir -p $(WMAKE_BIN)
 	$(call QUIET_MESSAGE,flex,$(<F))
 	$E flex -o $@.c $(<F) && $(cc) $(cFLAGS) $@.c -o $@
 	@rm -f $@.c 2>/dev/null
 
-$(WMAKE_BIN)/wmkdepend: wmkdepend.cpp
+$(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.cpp
 	@mkdir -p $(WMAKE_BIN)
 	$(call QUIET_MESSAGE,wmkdepend,$(<F))
 	$E $(CC) $(c++FLAGS) $(c++LESSWARN) $(<F) -o $@
 
-# $(WMAKE_BIN)/wmkdepend: wmkdepend.rl
+# $(WMAKE_BIN)/wmkdepend$(EXT_EXE): wmkdepend.rl
 # 	@mkdir -p $(WMAKE_BIN)
 # 	$(call QUIET_MESSAGE,ragel,$(<F))
 # 	$E ragel -G2 -o $@.cpp $(<F) && $(CC) $(c++FLAGS) $(c++LESSWARN) $@.cpp -o $@

=== debian/changelog ===
openfoam (1906+dfsg1-1) unstable; urgency=medium

  [ Kurt Kremitzki ]
  * [d0548da] Point d/watch at correct develop.openfoam.com upstream
  * [eed48f1] Remove upstream-removed prebuild PDFs from d/copyright Files-Excluded
  * [6a19851] Revise d/copyright
  * [d308e6f] New upstream version 1906+dfsg1
  * [f715a92] Refresh 30_hardening.patch
  * [3fc662e] Remove upstreamed 40_build-parallel.patch
  * [0d2ab18] Clean up disabled patches
  * [70849cf] Limit parallel build to 2 processes on Ubuntu (Closes: #920586)

  [ Mark Olesen ]
  * [b9bc8b5] Update hardening patch
  * [660daaa] Remove old manpage stubs. Now generated directly.
  * [a2f5e01] Update rules, reduced environment

 -- Kurt Kremitzki <kurt@kwk.systems>  Sat, 07 Sep 2019 21:47:43 -0500

=== debian/control ===
--- 
+++ 
@@ -15,6 +15,7 @@
                libboost-system-dev,
                libfl-dev,
                libcgal-dev,
+               libfftw3-dev,
                libptscotch-dev,
                zlib1g-dev
 Standards-Version: 4.1.3

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
VENDOR := $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# less debug info to avoid running out of address space during build
ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
    export DEB_CXXFLAGS_MAINT_APPEND = -g1
endif

%:
	dh $@

export FOAM_APP=$(CURDIR)/applications
export FOAM_SOLVERS=$(CURDIR)/applications/solvers
export FOAM_APPBIN=$(CURDIR)/platforms/linux64Gcc/bin
export FOAM_LIBBIN=$(CURDIR)/platforms/linux64Gcc/lib
export FOAM_EXT_LIBBIN=$(CURDIR)/platforms/linux64Gcc/lib
export FOAM_MPI=openmpi-system
export FOAM_RUN=$(CURDIR)/run
export FOAM_SRC=$(CURDIR)/src
export FOAM_ETC=$(CURDIR)/etc
export FOAM_USER_APPBIN=$(CURDIR)/platforms/linux64Gcc/bin
export FOAM_USER_LIBBIN=$(CURDIR)/platforms/linux64Gcc/lib
export MPI_ARCH_PATH=/usr/include/openmpi
export WM_ARCH=linux64
export WM_LABEL_SIZE=32
export WM_LABEL_OPTION=Int32
export WM_COMPILER=Gcc
export WM_COMPILER_LIB_ARCH=64
export WM_COMPILE_OPTION=Opt
export WM_DIR=$(CURDIR)/wmake
export WM_OPTIONS=linux64Gcc
export WM_PRECISION_OPTION=DP
export WM_PROJECT=OpenFOAM
export WM_PROJECT_DIR=$(CURDIR)
export WM_PROJECT_USER_DIR=$(CURDIR)/debian/tmp
export WM_PROJECT_VERSION="$(bin/foamEtcFile -show-api)"
export gperftools_install=$(CURDIR)/platforms/linux64Gcc
export WM_MPLIB=SYSTEMOPENMPI
unexport FOAMY_HEX_MESH

NUMJOBS := 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif
# Limit parallel build to 2 processes on Ubuntu
ifeq ($(VENDOR),Ubuntu)
    NUMJOBS := $(shell if test $(NUMJOBS) -gt 2; then echo 2 ; else echo $(NUMJOBS); fi)
endif

export WM_NCOMPPROCS=$(NUMJOBS)

export LD_LIBRARY_PATH:=$(CURDIR)/platforms/linux64Gcc/lib/openmpi-system:/usr/lib/openmpi/lib:$(CURDIR)/platforms/linux64Gcc/lib:$(CURDIR)/platforms/linux64Gcc/lib:$(CURDIR)/platforms/linux64Gcc/lib/dummy:$(LD_LIBRARY_PATH);

override_dh_clean:
	# OpenFOAM uses .orig as a control file extension
	dh_clean -X "*.orig"

override_dh_auto_configure:
	if [ -x bin/tools/foamConfigurePaths ]; then \
	    bin/tools/foamConfigurePaths \
	        -boost boost-system \
	        -cgal  cgal-system \
	        -fftw  fftw-system \
	        -kahip kahip-none \
	        -scotch scotch-system \
	        ; \
	fi

override_dh_auto_build:
	PATH=$(PATH):$(CURDIR)/wmake ./Allwmake -j$(NUMJOBS)
	if [ -x bin/tools/foamCreateManpage ]; then \
	    bin/tools/foamCreateManpage -gzip -version "$(bin/foamEtcFile -show-api)" || \
	        echo "ignore problems generating manpages"; \
	fi

override_dh_missing-arch:
	dh_missing --list-missing

=== debian/watch ===
version=3
opts=repacksuffix=+dfsg1,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://develop.openfoam.com/Development/OpenFOAM-plus/tags .*/OpenFOAM-plus-OpenFOAM-v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
